---
title: Why Donate?
desc: Quasar Team's manifesto on why it is essential to donate towards the development of the framework.
keys: Donate
components:
  - sponsors-and-backers/DonatingButtons
---

Quasar Framework is an MIT-licensed open-source project maintained by Razvan Stoenescu along with his Team and a community of open source contributors. We work on behalf of the community to create new features, fix bugs, and maintain Quasar so you can get on with your own development projects. We’re working to shape the future of the Vue.js ecosystem to write code once and simultaneously deploy it as a website (SPA/PWA/SSR), a Mobile App and/or an Electron App.

Like most open source products, Quasar can't do it alone. We rely on *sponsors, backers and supporters* to keep things going. When Quasar starts to bring you some financial stability, please be considerate of the tens of thousands of hours that went into its creation and send some money back to the team that made it possible. And finally, if your company relies on Quasar, the best way to guarantee that Quasar continues to be there for you is to invest in its maintenance!

## Our Manifesto

The dream of open source is a noble cause, where communities grow and code is nurtured. In line with the philosophy of Free Open Source, Quasar has committed itself to the tenets of Good Labs' [![Greater-Good Affirmation](https://good-labs.github.io/greater-good-affirmation/assets/images/badge.svg)](https://good-labs.github.io/greater-good-affirmation).

Quasar is and always will be free and open source, a self-managed place where everyone who abides by the community rules is invited and encouraged to participate.

![What do we sustain](https://cdn.quasar.dev/img/what-do-we-sustain.png)

### Participation is a Form of Collaborative Appreciation

Many open source projects, like the Quasar Framework and Vue.js, have been developed by people who work on behalf of **their** community on their own time, with no demand for financial compensation. This "code ownership" is actually a very important issue because the owners decide how things are to be further developed.

So who are these people? They are people, like you, in need of a certain feature and have found an open source solution, like Quasar. They are people who use the software and decided to contribute by helping to improve it.

Possibly they are passionate about coding and want a project to occupy their talents. There are many reasons to get involved in a community around an open source project. But the majority have one thing in common:

> They find free time in their busy schedules of jobs, families and commitments in order to participate because it makes them feel good to be part of something bigger than any one individual.

To give you a bit of perspective, the lead developer and core-maintainer of Quasar, [Razvan Stoenescu](https://github.com/rstoenescu), has spent over 2000 hours during the development phases between 1.0.0-alpha.1 and 1.0.0-rc.1, during which time he logged more than 2000 commits and half of a million lines of code added.

The rest of the team and all of the staff working the chat support lines and fixing code are still (as of June 2019) unpaid volunteers working uncountable hours. They are slowly becoming more and more responsible for units of the project and are an invaluable resource for the community that we must safeguard.


### Financial Sponsorship to Guarantee Maintenance
Nothing is certain, other than the fact that `node_modules` is still the heaviest thing in the universe and that at a certain point regular financial support of some kind is needed in order to guarantee the maintenance of large open-source projects. [Reference](https://github.com/sfosc/sfosc/issues/65#issuecomment-491770533).

That point in time for Quasar is right now and your support will make the difference.

![Sustain with money](https://cdn.quasar.dev/img/sustain-people-code.png)

If your business relies on open source you can hedge the risk of it disappearing by financially supporting it so that you can rest assured that the software will continue to be available for you.

As opposed to long-term licensing contracts for proprietary software, this model works because you encourage innovation, help to develop the next generation of developers and are implicitly empowered to participate in the discussion about features you need and issues you have found.

If open source becomes financially viable for those developing the projects, more people will get involved. If these developers are able to earn enough to support themselves, they are more likely to stay involved.

> Financial sustenance of open-source literally means that those who develop the project have an additional reason to stick around.

Many promising open source projects become "abandonware" because the original developers ran out of steam. The maintenance phase is actually where many open-source projects go to die. Money is a great type of community feedback that says "Stick with it and continue to maintain this project! We need you!!!"


### What You Get Out of It
If you support open source, you become part of the community. It is a large community, but tends to be tightly knit. Your support shows you believe in the community, and that makes you a part of the family. If enough financial support comes together, it can also mean that core developers and maintainers are able to work on the project full-time rather than needing a job elsewhere. This in turn fosters an environment where they are able to process fixes and requests faster than if they were working on a “hobby” basis.

So maybe you are a business who uses open source software to give themselves a competitive advantage, improve profits, or simply solve a problem other software doesn’t cover. Perhaps you’re an individual who uses an open source solution to the expensive corporate software you just can’t afford. Like [this](https://quasarframework.github.io/quasar-ui-qcalendar/docs).

Or you recognize that the millions of lines of code are lines you don't have to write and are simply appreciative of the effort.

Whatever you use open source software for, think of those people who have spent long hours developing it and keeping it running for you.

Even a small donation could mean a huge difference to them, not least because it means someone out there appreciates them enough to let them know.

## Donating
You can help Quasar Development by making a monthly pledge through Patreon or send a one-time donation through Paypal. If you are representing a company who wants to become a **Sponsor** and need an invoice for your donations, please send an email to `razvan.stoenescu [at] gmail [dot] com`.

Donating through the **GitHub Sponsorship is recommended** because GitHub will also match your donation (making it worth double your amount).

<donating-buttons />

All donations are used for Quasar Development purposes exclusively.

::: tip
For a full list of our wonderful people who make Quasar happen, visit the [Backers](https://github.com/quasarframework/quasar/blob/dev/backers.md) page.
:::
